could there be a conflict with using simfree v1.8 instead of v1.7 which was originally made for 1.0.2 phones?